### Enumeration

# Ggit ProxyType

#### Declaration

    enum Ggit.ProxyType

#### Description [src]

The type of proxy to use.

#### Members

`GGIT_PROXY_NONE`

  Do not attempt to connect through a proxy.

  - Value: `0`
  - Available since: 1.0
`GGIT_PROXY_AUTO`

  Try to auto-detect the proxy from the git configuration.

  - Value: `1`
  - Available since: 1.0
`GGIT_PROXY_SPECIFIED`

  Connect via the URL given in the options.

  - Value: `2`
  - Available since: 1.0